libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::GeneralError Class Reference

Exception class for Gda errors. More...

Inheritance diagram for Gnome::Gda::GeneralError:

[legend]
List of all members.

## Public Types

enum | Code { GENERAL_OBJECT_NAME_ERROR, GENERAL_INCORRECT_VALUE_ERROR, GENERAL_OPERATION_ERROR }

## Public Member Functions

Code | code () const
| GeneralError (GError* gobject)
| GeneralError (Code error_code, const Glib::ustring& error_message)

## Detailed Description

Exception class for Gda errors.

## Member Enumeration Documentation

enum Gnome::Gda::GeneralError::Code

Enumerator:

  GENERAL_OBJECT_NAME_ERROR |
  GENERAL_INCORRECT_VALUE_ERROR |
  GENERAL_OPERATION_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::GeneralError::GeneralError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gnome::Gda::GeneralError::GeneralError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::GeneralError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- connection.h